summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-11-09 13:32:18 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2011-11-09 13:32:18 +0100
commit23bc64ab05f3f152903c127d0bd24de681dc2044 (patch)
tree1e6afda7a75dc0b4d309a3a97d55d2bf609bb2d3 /scripts
parent442ae3a70f492fb16440ca081309638de0a6bd1b (diff)
disable some stuff for bulk builds
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 67703df58..2eeed09dd 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -149,6 +149,10 @@ if [[ -n $ADK_PACKAGE_GLIB ]]; then
NEED_GETTEXT="$NEED_GETTEXT glib"
fi
+if [[ -n $ADK_PACKAGE_CONSOLEKIT ]]; then
+ NEED_DBUSGLIB="$NEED_DBUSGLIB consolekit"
+fi
+
if [[ -n $ADK_PACKAGE_FONT_BITSTREAM_100DPI ]]; then
NEED_MKFONTDIR="$NEED_MKFONTDIR font-bitstream-100dpi"
fi
@@ -393,6 +397,13 @@ if [[ -n $NEED_XSLTPROC ]]; then
fi
fi
+if [[ -n $NEED_DBUSGLIB ]]; then
+ if ! which dbus-binding-tool >/dev/null 2>&1; then
+ echo >&2 You need dbus-binding-tool to build $NEED_DBUSGLIB
+ out=1
+ fi
+fi
+
if [[ -n $NEED_PYTHON ]]; then
if ! which python >/dev/null 2>&1; then
if ! test -x /usr/pkg/bin/python2.6 >/dev/null; then